#!/bin/sh

## NON PATH STANDARD CGI (IF WANTED AT BOOTTIME)

## Dienst als Demo von Streaming Prozessen
## und generell dynamischem Content

mkdir -p "/var/www/cgi-bin"

cat << ::EOF:: > "/var/www/cgi-bin/stream-random"
#!/bin/sh
/bin/echo -e -n "Content-Type: application/octet-stream\n\n"
/bin/echo -e -n "Cache-Control: no-cache\n\n"
exec /bin/cat /dev/urandom
::EOF::

cat << ::EOF:: > "/var/www/cgi-bin/stream-zero"
#!/bin/sh
/bin/echo -e -n "Content-Type: application/octet-stream\n\n"
/bin/echo -e -n "Cache-Control: no-cache\n\n"
exec /bin/cat /dev/zero
::EOF::

cat << ::EOF:: > "/var/www/cgi-bin/stream-yes"
#!/bin/sh
/bin/echo -e -n "Content-Type: application/octet-stream\n\n"
/bin/echo -e -n "Cache-Control: no-cache\n\n"
exec /bin/yes
::EOF::

cat << ::EOF:: > "/var/www/cgi-bin/stream-bytebeat"
#!/bin/sh
/bin/echo -e -n "Content-Type: application/octet-stream\n\n"
/bin/echo -e -n "Cache-Control: no-cache\n\n"
/command/bytebeat
::EOF::

cat << ::EOF:: > "/var/www/cgi-bin/echo-env"
#!/bin/sh
/bin/echo -e -n "Content-Type: text/plain\n\n"
/bin/echo -e -n "Cache-Control: no-cache\n\n"
exec /bin/env
::EOF::

## ALLOW EXECUTE FOR ALL CGI BINARIES
find /var/www/cgi-bin/ -type f -exec chmod +x "{}" \;

